# MPV - Multi-monitor media preview shuffler

Use this rudimentary script to recursively shuffle through randomised sections of media files, using MPV across multiple monitors.

#### How to use

- Simply execute `shuffle_seek_mpv.sh` within a directory you want to recursively play media from.

- By default, this will launch 3 MPV instances across three different displays. Refer to the script itself on where to adjust this.

- Preview times can be adjusted by tweaking the `sleep` values.

- Refer to the [MPV manual](https://mpv.io/manual/master/) for adjusting any MPV player flags as needed.

- This has only been tested on Linux. [IPC support](https://mpv.io/manual/master/#options-input-ipc-server) via `--input-ipc-server` will require adjustments on Windows.
